# Create an account Creates a customer account with a payment method, a bill-to contact, and optional sold-to and ship-to contacts. Request and response field descriptions and sample code are provided. Use this operation to optionally create a subscription, invoice for that subscription, and collect payment through the default payment method. The transaction is atomic; if any part fails for any reason, the entire transaction is rolled back. This operation is CORS Enabled, so you can use client-side Javascript to invoke the call. ### Notes 1. The account is created in active status. 2. If the autoPay field is set to true in the request, you must provide one of the paymentMethod, creditCard, or hpmCreditCardPaymentMethodId field, but not multiple. The one provided becomes the default payment method for this account. If the credit card information is declined or cannot be verified, no account is created. 3. Customer accounts created with this call are automatically be set to Auto Pay. 4. If the invoiceDeliveryPrefsEmail field is not specified in the request, the account's email delivery preference is always automatically set to false, no matter whether the workEmail or personalEmail field is specified. ### Defaults for customerAcceptanceDate and serviceActivationDate Default values for customerAcceptanceDate and serviceActivationDate are set as follows. | | serviceActivationDate(SA) specified | serviceActivationDate (SA) NOT specified | | ------------- |:------------- | :-----| | customerAcceptanceDate (CA) specified| SA uses value in the request call; CA uses value in the request call| CA uses value in the request call;SA uses CE as default | | customerAcceptanceDate (CA) NOT specified | SA uses value in the request call; CA uses SA as default | SA and CA use CE as default | This call supports a subset of the functionality of our Create an order call. For use cases where you create a subscription and a billing account at the same time, we recommend using "Create an order" instead of this call. The Orders call has the following advantages: - Provides options for managing the entire subscription lifecycle from creation through to cancellation using different order actions. - Allows the creation or modifying of multiple subscriptions in a single order. - Allows a single order to combine both recurring subscription digital goods or services with order line items for physical goods. - Orders are treated as atomic transactions. If any part fails, the entire order, subscription, and billing account creation are rolled back. You should use this call if you need to create a standalone billing account, and create orders, subscriptions, standalone invoices, or dynamic usage charges later. There are no deprecation plans for this call and we will continue to support this call for existing users. Endpoint: POST /v1/accounts Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountNumber` (string) A unique account number, up to 50 characters that do not begin with the default account number prefix. If no account number is specified, one is generated. - `additionalEmailAddresses` (array) A list of additional email addresses to receive email notifications. Use commas to separate email addresses. - `applicationOrder` (array) The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: CreditMemo, UnappliedPayment. Note: - This field is valid only if the applyCredit field is set to true. - If no value is specified for this field, the default priority order is used, ["CreditMemo", "UnappliedPayment"], to apply credit memos first and then apply unapplied payments. - If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is ["CreditMemo"], only credit memos are used to apply to invoices. - `applyCredit` (boolean) Whether to automatically apply credit memos or unapplied payments, or both to an invoice. If the value is true, the credit memo or unapplied payment, or both will be automatically applied to the invoice. If no value is specified or the value is false, no action is taken. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `applyCreditBalance` (boolean) Applies a credit balance to an invoice. If the value is true, the credit balance is applied to the invoice. If the value is false, no action is taken. Prerequisite: invoice must be true. To view the credit balance adjustment, retrieve the details of the invoice using the Get Invoices method. Note: - If you are using the field invoiceCollect rather than the field invoice, the invoiceCollect value must be true. - This field is deprecated if you have the Invoice Settlement feature enabled. - `autoPay` (boolean) Whether future payments are to be automatically billed when they are due. - If this field is set to true, you must specify either the creditCard field or the hpmCreditCardPaymentMethodId field, but not both. - If this field is set to false, you can specify neither the creditCard field nor the hpmCreditCardPaymentMethodId field. - `batch` (string) The alias name given to a batch. A string of 50 characters or less. Note: By default, you have 50 configurable account batches. To increase the limit to 200 batches, you must have the Performance Booster Elite package. - `billCycleDay` (integer) The account's bill cycle day (BCD), when bill runs generate invoices for the account. Specify any day of the month (1-31, where 31 = end-of-month), or 0 for auto-set. Required if no subscription will be created. Optional if a subscription is created and defaults to the day-of-the-month of the subscription's contractEffectiveDate. Example: 1 - `billToContact` (object, required) Container for bill-to contact information for this account. If you do not provide a sold-to contact, the bill-to contact is copied to sold-to contact. Once the sold-to contact is created, changes to billToContact will not affect soldToContact and vice versa. - `billToContact.address1` (string) First address line, 255 characters or less. - `billToContact.address2` (string) Second address line, 255 characters or less. - `billToContact.city` (string) City - `billToContact.country` (string) Country; must be a valid country name or abbreviation. If using Zuora Tax, you must specify a country in the sold-to contact to calculate tax. A bill-to contact may be used if no sold-to contact is provided. - `billToContact.county` (string) May optionally be used by Zuora Tax to calculate county tax. - `billToContact.fax` (string) Fax phone number, 40 characters or less. - `billToContact.firstName` (string, required) First name, 100 characters or less. - `billToContact.homePhone` (string) Home phone number, 40 characters or less. - `billToContact.lastName` (string, required) Last name, 100 characters or less. - `billToContact.mobilePhone` (string) Mobile phone number, 40 characters or less. - `billToContact.nickname` (string) Nickname for this contact - `billToContact.otherPhone` (string) Other phone number, 40 characters or less. - `billToContact.otherPhoneType` (string) Possible values are: Work, Mobile, Home, Other. - `billToContact.personalEmail` (string) Personal email address. - `billToContact.state` (string) State must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. If using Zuora Tax, be aware that Zuora tax requires a state (in the US) or province (in Canada) in this field for the sold-to contact to calculate tax, and that a bill-to contact may be used if no sold-to contact is provided. - `billToContact.taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. Not required. - `billToContact.workEmail` (string) Work email address, 80 characters or less. - `billToContact.workPhone` (string) Work phone number, 40 characters or less. - `billToContact.zipCode` (string) Zip code, 20 characters or less. - `collect` (boolean) Collects an automatic payment for a subscription. The collection generated in this operation is only for this subscription, not for the entire customer account. If the value is true, the automatic payment is collected. If the value is false, no action is taken. Prerequisite: The invoice or runBilling field must be true. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 196.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `communicationProfileId` (string) The ID of the communication profile that this account is linked to. You can provide either or both of the communicationProfileId and profileNumber fields. If both are provided, the request will fail if they do not refer to the same communication profile. If none is provided, the default communication profile will be used for this account. - `creditCard` (object) Note: This field has been deprecated, and is currently available only for backward compatibility. Use the paymentMethod field instead to create a payment method associated with this account. Container for information on a credit card to associate with this account. If the autoPay field is set to true, you must provide one of the paymentMethod, creditCard, or hpmCreditCardPaymentMethodId field, but not multiple. - `creditCard.cardHolderInfo` (object, required) Container for cardholder information. - `creditCard.cardHolderInfo.addressLine1` (string, required) First address line, 255 characters or less. - `creditCard.cardHolderInfo.addressLine2` (string) Second address line, 255 characters or less. - `creditCard.cardHolderInfo.cardHolderName` (string, required) The card holder's full name as it appears on the card, e.g., "John J Smith", 50 characters or less. - `creditCard.cardHolderInfo.city` (string, required) City, 40 characters or less. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `creditCard.cardHolderInfo.country` (string, required) Country; must be a valid country name or abbreviation. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing. - `creditCard.cardHolderInfo.email` (string) Card holder's email address, 80 characters or less. - `creditCard.cardHolderInfo.phone` (string) Phone number, 40 characters or less. - `creditCard.cardHolderInfo.state` (string, required) State; must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. - `creditCard.cardNumber` (string, required) Card number, up to 16 characters. Once created, this field can't be updated or queried, and is only available in masked format (e.g., XXXX-XXXX-XXXX-1234). - `creditCard.cardType` (string, required) The type of the credit card. Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see [Supported Payment Gateways](https://knowledgecenter.zuora.com/CB_Billing/M_Payment_Gateways/Supported_Payment_Gateways). - `creditCard.expirationMonth` (string, required) Two-digit expiration month (01-12). - `creditCard.expirationYear` (string, required) Four-digit expiration year. - `creditCard.securityCode` (string) The CVV or CVV2 security code of the card. To ensure PCI compliance, this value is not stored and cannot be queried. - `creditMemoReasonCode` (string) A code identifying the reason for the credit memo transaction that is generated by the request. The value must be an existing reason code. If you do not pass the field or pass the field with empty value, Zuora uses the default reason code. - `creditMemoTemplateId` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the credit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08a6246fdf101626b1b3fe0144b. - `crmId` (string) CRM account ID for the account, up to 100 characters. - `currency` (string, required) A currency as defined in Billing Settings in the Zuora UI. For payment method authorization, if the paymentMethod > currencyCode field is specified, currencyCode is used. Otherwise, this currency field is used for payment method authorization. If no currency is specified for the account, the default currency of the account is then used. Example: "USD" - `customerServiceRepName` (string) Name of the account's customer service representative, if applicable. - `debitMemoTemplateId` (string) Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the debit memo template, configured in Billing Settings > Manage Billing Document Configuration through the Zuora UI. For example, 2c92c08d62470a8501626b19d24f19e2. - `documentDate` (string) The date of the billing document, in yyyy-mm-dd format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos. - If this field is specified, the specified date is used as the billing document date. - If this field is not specified, the date specified in the targetDate is used as the billing document date. - `einvoiceProfile` (object) Container for e-invoicing profile information for this account. Note: This field is available only if you have the E-Invoicing feature in Early Adopter phase enabled. - `einvoiceProfile.businessCategory` (string) The high-level category of the business. Enum: "B2B", "B2C", "B2G" - `einvoiceProfile.businessName` (string) The full official name that the Buyer is registered with the relevant legal authority. - `einvoiceProfile.businessNumber` (string) The unique identifier number of the legal entity or person that you do business with. For example, you must use a GSTIN for India. - `einvoiceProfile.businessNumberSchemeId` (string) The identification scheme identifier that an official registrar issues to identify the Buyer as a legal entity or person. - `einvoiceProfile.enabled` (boolean) Whether to enable the e-invoicing profile for the customer account. If the following conditions are met, all billing documents for one account can be submitted to an e-invoicing service provider to be generated in electronic format: - The account must be configured to generate e-invoice files for billing documents. - The billing document must be in Posted status. - A business region must be created for the billing country contact, and be linked to an e-invoicing service provider. - `einvoiceProfile.endpointId` (string) The Buyer's electronic address, to which the application-level response to the billing document might be delivered. - `einvoiceProfile.endpointSchemeId` (string) The identification scheme identifier of the Buyer’s electronic address. - `einvoiceProfile.taxRegisterNumber` (string) The Buyer's VAT identifier (also known as the Buyer's VAT identification number) or the local identification (defined by the Buyer’s address) of the Buyer for tax purposes, or a reference that enables the Buyer to state the registered tax status. - `gatewayRoutingEligible` (boolean) Indicates whether to include the applicable billing accounts to gateway routing for controlled adoption. - `hpmCreditCardPaymentMethodId` (string) The ID of the payment method associated with this account. You can use this field to set the default payment method for the account. The payment method ID specified in this field will be set as the default payment method for this account. You can pass the ID of any valid payment method, including a system-generated payment method ID, into this field. If the autoPay field is set to true, you must provide the credit card payment method ID for either this field or the creditCard field, but not both. For the Credit Card Reference Transaction payment method, you can specify the payment method ID in this field or use the paymentMethod field to create a CC Reference Transaction payment method for an account. - `invoiceDeliveryPrefsEmail` (boolean) Whether the customer wants to receive invoices through email. - `invoiceDeliveryPrefsPrint` (boolean) Whether the customer wants to receive printed invoices, such as through postal mail. - `invoiceTemplateId` (string) Invoice template ID or template number, configured in Billing Settings in the Zuora UI. - `name` (string, required) Account name, up to 255 characters. Example: "Amy Lawrence" - `notes` (string) A string of up to 65,535 characters. - `organizationLabel` (string) Name of the organization that the account belongs to. This field is only required when you have already turned on Multi-Org feature. - `parentId` (string) Identifier of the parent customer account for this Account object. The length is 32 characters. Use this field if you have Customer Hierarchy enabled. - `partnerAccount` (boolean) Whether the customer account is a partner, distributor, or reseller. You can set this field to true if you have business with distributors or resellers, or operating in B2B model to manage numerous subscriptions through concurrent API requests. After this field is set to true, the calculation of account metrics is performed asynchronously during operations such as subscription creation, order changes, invoice generation, and payments. Note: This field is available only if you have the Reseller Account feature enabled. - `paymentGateway` (string) The name of the payment gateway instance. If null or left unassigned, the Account will use the Default Gateway. - `paymentMethod` (object) Payment method information associated with an account. - `paymentTerm` (string) Payment terms for this account. Possible values are: Due Upon Receipt, Net 30, Net 60, Net 90. Note: If you want to specify a payment term when creating a new account, you must set a value in this field. If you do not set a value in this field, Zuora will use the default value set in Billing Settings > Payment Terms from Zuora UI. - `profileNumber` (string) The number of the communication profile that this account is linked to. You can provide either or both of the communicationProfileId and profileNumber fields. If both are provided, the request will fail if they do not refer to the same communication profile. If none is provided, the default communication profile will be used for this account. - `purchaseOrderNumber` (string) The purchase order number provided by your customer for services, products, or both purchased. - `runBilling` (boolean) Creates an invoice for a subscription. If you have the Invoice Settlement feature enabled, a credit memo might also be created based on the [invoice and credit memo generation rule](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/B_Credit_and_Debit_Memos/Rules_for_generating_invoices_and_credit_memos). The billing documents generated in this operation is only for this subscription, not for the entire customer account. Possible values: - true: An invoice is created. If you have the Invoice Settlement feature enabled, a credit memo might also be created. - false: No invoice is created. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 196.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `salesRep` (string) The name of the sales representative associated with this account, if applicable. Maximum of 50 characters. - `sequenceSetId` (string,null) The ID or number of the billing document sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set. If a customer account has no assigned billing document sequence set, billing documents generated for this account adopt the prefix and starting document number from the default sequence set. - `shipToContact` (object) Container for optional ship-to contact; uses the same field structure as the billToContact field. If this field is not specified and the shipToSameAsBillTo field is false, the ship-to contact of the account is empty. - `shipToContact.country` (string) Country; must be a valid country name or abbreviation. - `shipToContact.state` (string) State must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. - `shipToContact.taxRegion` (string) 100 characters or less. If using Zuora Tax, a region string as optionally defined in your tax rules. Not required. - `shipToSameAsBillTo` (boolean) Whether the ship-to contact and bill-to contact are the same entity. The created account has the same bill-to contact and ship-to contact entity only when all the following conditions are met in the request body: - This field is set to true. - A bill-to contact is specified. - No ship-to contact is specified. - `soldToContact` (object) Container for optional sold-to contact; uses the same field structure as the bill-to contact (above). If a sold-to contact is not specified, one is created from the bill-to contact. Once created, these are two separate data entities, and future changes to one do not affect the other. - `soldToContact.state` (string) State; must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region. If using Zuora Tax, be aware that Zuora Tax requires a state (in the US) or province (in Canada) in this field for the sold-to contact to calculate tax, and that a bill-to contact may be used if no sold-to contact is provided. - `soldToSameAsBillTo` (boolean) Whether the sold-to contact and bill-to contact are the same entity. The created account has the same bill-to contact and sold-to contact entity only when all the following conditions are met in the request body: - This field is set to true. - A bill-to contact is specified. - No sold-to contact is specified. - `subscription` (object) Container for subscription information, used if creating a subscription for the new account at the time of account creation. - `subscription.autoRenew` (boolean) If true, auto-renew is enabled. Default is false. - `subscription.contractEffectiveDate` (string, required) Effective contract date for this subscription, as yyyy-mm-dd. - `subscription.customerAcceptanceDate` (string) The date on which the services or products within a subscription have been accepted by the customer, as yyyy-mm-dd. Default value is dependent on the value of other fields. See Notes section for more details. - `subscription.initialTerm` (integer) Duration of the initial subscription term in whole months. Default is 0. - `subscription.invoiceOwnerAccountKey` (string) Invoice owner account number or ID. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `subscription.invoiceSeparately` (boolean) Separates a single subscription from other subscriptions and invoices the charge independently. If the value is true, the subscription is billed separately from other subscriptions. If the value is false, the subscription is included with other subscriptions in the account invoice. The default value is false. Prerequisite: The default subscription setting Enable Subscriptions to be Invoiced Separately must be set to Yes. - `subscription.notes` (string) - `subscription.renewalTerm` (integer) Duration of the renewal term in whole months. Default is 0. - `subscription.serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, as yyyy-mm-dd. Default value is dependent on the value of other fields. See Notes section for more details. - `subscription.subscribeToRatePlans` (array) Container for one or more rate plans for this subscription. - `subscription.subscribeToRatePlans.chargeOverrides` (array) This optional container is used to override the quantity of one or more product rate plan charges for this subscription. - `subscription.subscribeToRatePlans.chargeOverrides.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `subscription.subscribeToRatePlans.chargeOverrides.applyDiscountTo` (string) Specifies the type of charges that you want a specific discount to apply to. Values: * ONETIME * RECURRING * USAGE * ONETIMERECURRING * ONETIMEUSAGE * RECURRINGUSAGE * ONETIMERECURRINGUSAGE - `subscription.subscribeToRatePlans.chargeOverrides.billCycleDay` (string) Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month the customer is billed. Values: 1-31 - `subscription.subscribeToRatePlans.chargeOverrides.billCycleType` (string) Specifies how to determine the billing day for the charge. When this field is set to SpecificDayofMonth, set the BillCycleDay field. When this field is set to SpecificDayofWeek, set the weeklyBillCycleDay field. Values: * DefaultFromCustomer * SpecificDayofMonth * SubscriptionStartDay * ChargeTriggerDay * SpecificDayofWeek - `subscription.subscribeToRatePlans.chargeOverrides.billingPeriod` (string) Billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). Values: * Month * Quarter * Semi_Annual * Annual * Eighteen_Months * Two_Years * Three_Years * Five_Years * Specific_Months * Subscription_Term * Week * Specific_Weeks - `subscription.subscribeToRatePlans.chargeOverrides.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: * AlignToCharge * AlignToSubscriptionStart * AlignToTermStart - `subscription.subscribeToRatePlans.chargeOverrides.billingTiming` (string) Billing timing for the charge for recurring charge types. Not avaliable for one time, usage, and discount charges. Values: * IN_ADVANCE (default) * IN_ARREARS - `subscription.subscribeToRatePlans.chargeOverrides.chargeModelConfiguration` (object) Container for charge model configuration data. Note: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. These charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscription.subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.customFieldPerUnitRate` (string) The custom field that carries the per-unit rate for each usage record. For example, perUnitAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscription.subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.customFieldTotalAmount` (string) The custom field that carries the total amount to charge for a usage record. For example, totalAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscription.subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.formula` (string) The pricing formula to calculate actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscription.subscribeToRatePlans.chargeOverrides.description` (string) Description of the charge. - `subscription.subscribeToRatePlans.chargeOverrides.discountAmount` (number) Specifies the amount of fixed-amount discount. - `subscription.subscribeToRatePlans.chargeOverrides.discountLevel` (string) Specifies if the discount applies to the product rate plan only, the entire subscription, or to any activity in the account. Values: * rateplan * subscription * account - `subscription.subscribeToRatePlans.chargeOverrides.discountPercentage` (number) Percentage of discount for a percentage discount. - `subscription.subscribeToRatePlans.chargeOverrides.endDateCondition` (string) Defines when the charge ends after the charge trigger date. If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. Values: * Subscription_End * Fixed_Period * Specific_End_Date * One_Time - `subscription.subscribeToRatePlans.chargeOverrides.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `subscription.subscribeToRatePlans.chargeOverrides.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `subscription.subscribeToRatePlans.chargeOverrides.includedUnits` (number) Specifies the number of units in the base set of units for this charge. Must be >=0. - `subscription.subscribeToRatePlans.chargeOverrides.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `subscription.subscribeToRatePlans.chargeOverrides.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `subscription.subscribeToRatePlans.chargeOverrides.listPriceBase` (string) The list price base for the product rate plan charge. Values: * Per_Billing_Period * Per_Month * Per_Week * Per_Year * Per_Specific_Months - `subscription.subscribeToRatePlans.chargeOverrides.number` (string) Unique number that identifies the charge. Max 50 characters. System-generated if not provided. - `subscription.subscribeToRatePlans.chargeOverrides.numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. - `subscription.subscribeToRatePlans.chargeOverrides.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is not updatable. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `subscription.subscribeToRatePlans.chargeOverrides.overagePrice` (number) Price for units over the allowed amount. - `subscription.subscribeToRatePlans.chargeOverrides.overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Values: * NoCredit * CreditBySpecificRate - `subscription.subscribeToRatePlans.chargeOverrides.price` (number) Price for units in the subscription rate plan. - `subscription.subscribeToRatePlans.chargeOverrides.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. The Billing Admin setting Enable Automatic Price Change When Subscriptions are Renewed? must be set to Yes to use this field. Values: * NoChange (default) * SpecificPercentageValue * UseLatestProductCatalogPricing - `subscription.subscribeToRatePlans.chargeOverrides.priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Required if you set the PriceChangeOption field to SpecificPercentageValue. Value must be a decimal between -100 and 100. - `subscription.subscribeToRatePlans.chargeOverrides.productRatePlanChargeId` (string, required) ID of a product rate-plan charge for this subscription. - `subscription.subscribeToRatePlans.chargeOverrides.productRatePlanChargeNumber` (string) Number of a product rate-plan charge for this subscription. - `subscription.subscribeToRatePlans.chargeOverrides.quantity` (number) Number of units. Must be a decimal >=0. When using chargeOverrides for creating subscriptions with recurring charge types, the quantity field must be populated when the charge model is "Tiered Pricing" or "Volume Pricing". It is not required for "Flat Fee Pricing" charge model. - `subscription.subscribeToRatePlans.chargeOverrides.ratingGroup` (string) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod (default): The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Note: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. - `subscription.subscribeToRatePlans.chargeOverrides.specificBillingPeriod` (integer) Specifies the number of month or week for the charges billing period. Required if you set the value of the billingPeriod field to Specific_Months or Specific_Weeks. - `subscription.subscribeToRatePlans.chargeOverrides.specificEndDate` (string) Defines when the charge ends after the charge trigger date. Note: * This field is only applicable when the endDateCondition field is set to Specific_End_Date. * If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `subscription.subscribeToRatePlans.chargeOverrides.specificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the listPriceBase field to Per_Specific_Months. Note: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `subscription.subscribeToRatePlans.chargeOverrides.tiers` (array) Container for Volume, Tiered, or Tiered with Overage charge models. Supports the following charge types: * One-time * Recurring * Usage-based - `subscription.subscribeToRatePlans.chargeOverrides.tiers.endingUnit` (number) End number of a range of units for the tier. - `subscription.subscribeToRatePlans.chargeOverrides.tiers.price` (number, required) Price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing. - `subscription.subscribeToRatePlans.chargeOverrides.tiers.priceFormat` (string) Indicates if pricing is a flat fee or is per unit. Values: * FlatFee * PerUnit - `subscription.subscribeToRatePlans.chargeOverrides.tiers.startingUnit` (number) Starting number of a range of units for the tier. - `subscription.subscribeToRatePlans.chargeOverrides.tiers.tier` (integer, required) Unique number that identifies the tier that the price applies to. - `subscription.subscribeToRatePlans.chargeOverrides.triggerDate` (string) Specifies when to start billing the customer for the charge. Required if the triggerEvent field is set to USD. - `subscription.subscribeToRatePlans.chargeOverrides.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: * UCE * USA * UCA * USD - `subscription.subscribeToRatePlans.chargeOverrides.unusedUnitsCreditRates` (number) Specifies the rate to credit a customer for unused units of usage. This field applies only for overage charge models when the OverageUnusedUnitsCreditOption field is set to CreditBySpecificRate. - `subscription.subscribeToRatePlans.chargeOverrides.upToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Note: You must use this field together with the upToPeriodsType field to specify the time period. * This field is applicable only when the endDateCondition field is set to Fixed_Period. * If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `subscription.subscribeToRatePlans.chargeOverrides.upToPeriodsType` (string) The period type used to define when the charge ends. Values: * Billing_Periods * Days * Weeks * Months * Years You must use this field together with the upToPeriods field to specify the time period. This field is applicable only when the endDateCondition field is set to Fixed_Period. - `subscription.subscribeToRatePlans.chargeOverrides.weeklyBillCycleDay` (string) Specifies which day of the week is the bill cycle day (BCD) for the charge. Values: * Sunday * Monday * Tuesday * Wednesday * Thursday * Friday * Saturday - `subscription.subscribeToRatePlans.externalCatalogPlanId` (string) An external ID of the product rate plan to be added. You can use this field to specify a product rate plan that is imported from an external system. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. Note: If both externalCatalogPlanId and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `subscription.subscribeToRatePlans.externalIdSourceSystem` (string) The ID of the external source system. You can use this field and externalCatalogPlanId to specify a product rate plan that is imported from an external system. Note: If both externalCatalogPlanId, externalIdSourceSystem and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `subscription.subscribeToRatePlans.externallyManagedPlanId` (string) Indicates the unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `subscription.subscribeToRatePlans.productRatePlanId` (string) ID of a product rate plan for this subscription. - `subscription.subscribeToRatePlans.productRatePlanNumber` (string) Number of a product rate plan for this subscription. - `subscription.subscriptionNumber` (string) Subscription Number. The value can be up to 1000 characters. If you do not specify a subscription number when creating a subscription for the new account, Zuora will generate a subscription number automatically. If the account is created successfully, the subscription number is returned in the subscriptionNumber response field. - `subscription.termStartDate` (string) The date on which the subscription term begins, as yyyy-mm-dd. If this is a renewal subscription, this date is different from the subscription start date. - `subscription.termType` (string, required) Possible values are: TERMED, EVERGREEN. - `subscription.CpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `subscription.OpportunityCloseDate__QT` (string) The closing date of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscription.OpportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscription.QuoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscription.QuoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscription.QuoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `subscription.IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscription.IntegrationStatus__NS` (string) Status of the subscription's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscription.Project__NS` (string) The NetSuite project that the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscription.SalesOrder__NS` (string) The NetSuite sales order than the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `subscription.SyncDate__NS` (string) Date when the subscription was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `summaryStatementTemplateId` (string,null) The summary statement template ID or number. When a user attempts to generate a summary statement from the "Account Summary Statement" screen, the system utilizes this template to produce the PDF. - `tagging` (string) - `targetDate` (string) Date through which to calculate charges if an invoice or a credit memo is generated, as yyyy-mm-dd. Default is current date. Note: This field is available only if you are on the latest Zuora API version, or you set the Zuora-Version request header to 211.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). Note: The credit memo is only available only if you have the Invoice Settlement feature enabled. - `taxInfo` (object) Container for tax exempt information, used to establish the tax exempt status of a customer account. - `taxInfo.VATId` (string) EU Value Added Tax ID. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `taxInfo.companyCode` (string) Unique code that identifies a company account in Avalara. Use this field to calculate taxes based on origin and sold-to addresses in Avalara. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](https://support.zuora.com). - `taxInfo.exemptCertificateId` (string) ID of the customer tax exemption certificate. Requires Zuora Tax. - `taxInfo.exemptCertificateType` (string) Type of tax exemption certificate that the customer holds. Requires Zuora Tax. - `taxInfo.exemptDescription` (string) Description of the tax exemption certificate that the customer holds. Requires Zuora Tax. - `taxInfo.exemptEffectiveDate` (string) Date when the customer tax exemption starts. Requires Zuora Tax. Format: yyyy-mm-dd. Defaults to the current date. - `taxInfo.exemptEntityUseCode` (string) A unique entity use code to apply exemptions in Avalara AvaTax. This account-level field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/)for more details. - `taxInfo.exemptExpirationDate` (string) Date when the customer tax exemption expires. Requires Zuora Tax. Format: yyyy-mm-dd. Defaults to the current date. - `taxInfo.exemptIssuingJurisdiction` (string) Jurisdiction in which the customer tax exemption certificate was issued. - `taxInfo.exemptStatus` (string) Status of the account tax exemption. Requires Zuora Tax. Required if you use Zuora Tax. This field is unavailable if Zuora Tax is not used. Values: Yes, No(default), pendingVerification. Note that the value will be set to No if no input. - `Class__NS` (string) Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `CustomerType__NS` (string) Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Company", "Individual" - `Department__NS` (string) Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Location__NS` (string) Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Subsidiary__NS` (string) Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SynctoNetSuite__NS` (string) Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). Enum: "Yes", "No" ## Response 200 fields (application/json): - `accountId` (string) Auto-generated account ID. - `accountNumber` (string) Account number. - `billToContactId` (string) The ID of the bill-to contact. - `contractedMrr` (string) Contracted monthly recurring revenue of the subscription. - `creditMemoId` (string) The credit memo ID, if a credit memo is generated during the subscription process. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `invoiceId` (string) ID of the invoice generated at account creation, if applicable. - `paidAmount` (string) Amount collected on the invoice generated at account creation, if applicable. - `paymentId` (string) ID of the payment collected on the invoice generated at account creation, if applicable. - `paymentMethodId` (string) ID of the payment method that was set up at account creation, which automatically becomes the default payment method for this account. - `shipToContactId` (string) The ID of the ship-to contact. - `soldToContactId` (string) The ID of the sold-to contact. - `subscriptionId` (string) ID of the subscription that was set up at account creation, if applicable. - `subscriptionNumber` (string) Number of the subscription that was set up at account creation, if applicable. - `success` (boolean) Returns true if the request was processed successfully. - `totalContractedValue` (string) Total contracted value of the subscription. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.